Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class DefaultCellGenerator

    java.lang.Object
      de.grogra.ray.intersection.DefaultCellGenerator

All Implemented Interfaces:
  CellGenerator

    public class DefaultCellGenerator

extends java.lang.Object
implements CellGenerator

Nested Class Summary
`class` | `DefaultCellGenerator.BoxIntersectionInput`
`class` | `DefaultCellGenerator.BoxIntersectionLocals`
`class` | `DefaultCellGenerator.BoxIntersectionOutput`
`class` | `DefaultCellGenerator.FirstCellLocals`

Nested classes/interfaces inherited from interface de.grogra.ray.intersection.CellGenerator
`CellGenerator.NextCellOutput`

Field Summary
`int` | `m_different`
`int` | `m_same`

Constructor Summary
`DefaultCellGenerator()`

Method Summary
`static void` | `getBoxEnteringIntersection(DefaultCellGenerator.BoxIntersectionInput input, DefaultCellGenerator.BoxIntersectionLocals local, DefaultCellGenerator.BoxIntersectionOutput output)`
`void` | `getBoxLeavingIntersection(DefaultCellGenerator.BoxIntersectionInput input, DefaultCellGenerator.BoxIntersectionLocals local, DefaultCellGenerator.BoxIntersectionOutput output)`
`void` | `initialize(OctreeCell sceneNode, int maxDepth)`
`void` | `nextCell(CellGenerator.NextCellOutput output)`
`void` | `setRay(Ray ray)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_different

    public int m_different

### m_same

    public int m_same

Constructor Detail

### DefaultCellGenerator

    public DefaultCellGenerator()

Method Detail

### getBoxEnteringIntersection

    public static void getBoxEnteringIntersection(DefaultCellGenerator.BoxIntersectionInput input,
                                                  DefaultCellGenerator.BoxIntersectionLocals local,
                                                  DefaultCellGenerator.BoxIntersectionOutput output)

### getBoxLeavingIntersection

    public void getBoxLeavingIntersection(DefaultCellGenerator.BoxIntersectionInput input,
                                          DefaultCellGenerator.BoxIntersectionLocals local,
                                          DefaultCellGenerator.BoxIntersectionOutput output)

### initialize

    public void initialize(OctreeCell sceneNode,
                           int maxDepth)

  Specified by:
    `initialize` in interface `CellGenerator`

### nextCell

    public void nextCell(CellGenerator.NextCellOutput output)

  Specified by:
    `nextCell` in interface `CellGenerator`

### setRay

    public void setRay(Ray ray)

  Specified by:
    `setRay` in interface `CellGenerator`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD